/*                            initrequesters.c                          */
/*                                                                      */
/* This one is used by main() to initialize all the requesters needed.  */



struct Requester peekreq;
SHORT peekpair[2][10] = {
   {0, 0,  191, 0,  191, 73,  0, 73,  0, 0},
   {2, 2,  189, 2,  189, 71,  2, 71,  2, 2}
   };
struct Border peekborder[] = {
   {0, 0, 17, 4, JAM2, 5, &peekpair[0][0], &peekborder[1]},
   {0, 0, 18, 4, JAM2, 5, &peekpair[1][0], NULL}
   };
struct IntuiText peektext[] = {
   {17, 4, JAM2, 8, 10,  NULL, "WARNING!", &peektext[1]},
   {16, 4, JAM2, 80, 10, NULL, "When you peek", &peektext[2]},
   {16, 4, JAM2, 8, 20,  NULL, "you loose 25 % of your", &peektext[3]},
   {16, 4, JAM2, 8, 30,  NULL, "score... Are you sure?", NULL}
   };


struct Requester quitreq;
struct IntuiText quittext[] = {
   {17, 4, JAM2, 8, 10,  NULL, "     QUIT GAME?!?     ", &quittext[1]},
   {16, 4, JAM2, 8, 20,  NULL, "Think it over: Are you", &quittext[2]},
   {16, 4, JAM2, 8, 30,  NULL, "really sure about it? ", NULL},
   };



struct Requester thankreq;
struct IntuiText thanktext[] = {
   {16, 4, JAM2, 8, 13,  NULL, "Thanks to everyone who", &thanktext[1]},
   {16, 4, JAM2, 8, 23,  NULL, "gives its contribution", &thanktext[2]},
   {16, 4, JAM2, 8, 33,  NULL, "to the Amiga PD world,", &thanktext[3]},
   {16, 4, JAM2, 8, 43,  NULL, "expecially to         ", &thanktext[4]},
   {16, 4, JAM2, 8, 53,  NULL, "Mr. Fred Fish         ", NULL}
   };

struct Requester aboutreq;
struct IntuiText abouttext[] = {
   {17, 4, JAM2, 8,  6,  NULL, "   Cards'O'Rama 1.0   ", &abouttext[1]},
   {18, 4, JAM2, 8, 16,  NULL, "          by          ", &abouttext[2]},
   {16, 4, JAM2, 8, 26,  NULL, "Werther Pirani        ", &abouttext[3]},
   {16, 4, JAM2, 8, 36,  NULL, "Via Mario Torresi, 74 ", &abouttext[4]},
   {16, 4, JAM2, 8, 46,  NULL, "60128 Ancona          ", &abouttext[5]},
   {16, 4, JAM2, 8, 56,  NULL, "ITALY                 ", NULL}
   };

struct Requester exitreq;
struct IntuiText exittext[] = {
   {17, 4, JAM2, 8, 10,  NULL, " EXIT TO WORKBENCH?!? ", &exittext[1]},
   {16, 4, JAM2, 8, 20,  NULL, "                      ", &exittext[2]},
   {16, 4, JAM2, 8, 30,  NULL, "Are you sure about it?", NULL},
   };

initrequesters()
   {
   extern struct Gadget yeahgadget;
   extern struct Gadget clickgadget;

   InitRequester(&peekreq);
   peekreq.LeftEdge = 64;
   peekreq.TopEdge = 63;
   peekreq.Width = 192;
   peekreq.Height = 74;
   peekreq.ReqGadget = &yeahgadget;
   peekreq.ReqText = &peektext[0];
   peekreq.BackFill = 4;
   peekreq.ReqBorder = &peekborder[0];

   InitRequester(&quitreq);
   quitreq.LeftEdge = 64;
   quitreq.TopEdge = 63;
   quitreq.Width = 192;
   quitreq.Height = 74;
   quitreq.ReqGadget = &yeahgadget;       /* Same gadgets */
   quitreq.ReqText = &quittext[0];
   quitreq.BackFill = 4;
   quitreq.ReqBorder = &peekborder[0];    /* Same border */

   InitRequester(&thankreq);
   thankreq.LeftEdge = 64;
   thankreq.TopEdge = 63;
   thankreq.Width = 192;
   thankreq.Height = 74;
   thankreq.ReqGadget = &clickgadget;
   thankreq.ReqText = &thanktext[0];
   thankreq.BackFill = 4;
   thankreq.ReqBorder = &peekborder[0];    /* Same border */

   InitRequester(&aboutreq);
   aboutreq.LeftEdge = 64;
   aboutreq.TopEdge = 63;
   aboutreq.Width = 192;
   aboutreq.Height = 74;
   aboutreq.ReqGadget = &clickgadget;
   aboutreq.ReqText = &abouttext[0];
   aboutreq.BackFill = 4;
   aboutreq.ReqBorder = &peekborder[0];    /* Same border */

   InitRequester(&exitreq);
   exitreq.LeftEdge = 64;
   exitreq.TopEdge = 63;
   exitreq.Width = 192;
   exitreq.Height = 74;
   exitreq.ReqGadget = &yeahgadget;
   exitreq.ReqText = &exittext[0];
   exitreq.BackFill = 4;
   exitreq.ReqBorder = &peekborder[0];     /* Same border */

   return(0);
   }

